E-MailRelay

Classes | Namespaces
gresolverfuture.h File Reference
`#include "gdef.h"`
`#include "gaddress.h"`
`#include "gresolver.h"`
`#include <utility>`
`#include <vector>`
`#include <string>`
Include dependency graph for gresolverfuture.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | GNet::ResolverFuture
| A 'future' shared-state class for asynchronous name resolution that holds parameters and results of a call to getaddrinfo(), as performed by the run() method. More...
struct | GNet::ResolverFuture::Result
| Result structure for GNet::ResolverFuture::get(). More...

## Namespaces
namespace | GNet
| Network classes.